curl --request POST \
--url 'https://api.stateset.com/api/v1/products' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Create a product
POST
/
api
/
v1
/
products
curl --request POST \
--url 'https://api.stateset.com/api/v1/products' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Request body
CreateProductRequest
string,null
string
required
string,null
string,null
Response
ProductResponse
string (date-time)
required
string
required
string (uuid)
required
string
required
string
required
string
required
string
required
string (date-time)
required
Status codes
| Code | Meaning |
|---|---|
201 | Product created |
400 | Invalid request |
422 | Idempotency-Key reused with a different body |
curl --request POST \
--url 'https://api.stateset.com/api/v1/products' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"description": "Two-person tent, green — replacement for damaged pole set.",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors"
}'
{
"created_at": "2026-08-31T14:22:05Z",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Two-Person Tent",
"product_type": "string",
"slug": "acme-outdoors",
"status": "pending",
"updated_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026